
From: Badari Pulavarty <pbadari@us.ibm.com>

Here is the patch to make my 8x P-III box boot.



 25-akpm/include/linux/bitmap.h |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN include/linux/bitmap.h~cpumask_t-gcc-workaround-46 include/linux/bitmap.h
--- 25/include/linux/bitmap.h~cpumask_t-gcc-workaround-46	Wed Jul 16 10:44:30 2003
+++ 25-akpm/include/linux/bitmap.h	Wed Jul 16 10:44:30 2003
@@ -12,8 +12,8 @@
 
 static inline int bitmap_empty(const unsigned long *bitmap, int bits)
 {
-	int k;
-	for (k = 0; k < bits/BITS_PER_LONG; ++k)
+	int k, lim = bits/BITS_PER_LONG;
+	for (k = 0; k < lim; ++k)
 		if (bitmap[k])
 			return 0;
 
@@ -26,8 +26,8 @@ static inline int bitmap_empty(const uns
 
 static inline int bitmap_full(const unsigned long *bitmap, int bits)
 {
-	int k;
-	for (k = 0; k < bits/BITS_PER_LONG; ++k)
+	int k, lim = bits/BITS_PER_LONG;
+	for (k = 0; k < lim; ++k)
 		if (~bitmap[k])
 			return 0;
 
@@ -41,8 +41,8 @@ static inline int bitmap_full(const unsi
 static inline int bitmap_equal(const unsigned long *bitmap1,
 				unsigned long *bitmap2, int bits)
 {
-	int k;
-	for (k = 0; k < bits/BITS_PER_LONG; ++k)
+	int k, lim = bits/BITS_PER_LONG;;
+	for (k = 0; k < lim; ++k)
 		if (bitmap1[k] != bitmap2[k])
 			return 0;
 

_
